org.apache.jmeter.protocol.http.sampler

## Class HttpClientDefaultParameters

- java.lang.Object
- - org.apache.jmeter.protocol.http.sampler.HttpClientDefaultParameters

- Deprecated.
  since 5.0

      @Deprecated
      public class HttpClientDefaultParameters
      extends Object

  Utility class to set up default HttpClient parameters from a file. Supports Apache HttpClient.

- - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `load(String file, org.apache.http.params.HttpParams params)` Deprecated. Loads a property file and converts parameters as necessary.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### load

          public static void load(String file,
                                  org.apache.http.params.HttpParams params)

      Deprecated.
      Loads a property file and converts parameters as necessary.
      Parameters:
        `file` - the file to load
        `params` - Apache HttpClient parameter instance

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.